import { Text } from "@codemirror/state";
export declare class SearchCursor implements Iterator<{
    from: number;
    to: number;
}> {
    private test?;
    private iter;
    value: {
        from: number;
        to: number;
    };
    done: boolean;
    private matches;
    private buffer;
    private bufferPos;
    private bufferStart;
    private normalize;
    private query;
    constructor(text: Text, query: string, from?: number, to?: number, normalize?: (string: string) => string, test?: (from: number, to: number, buffer: string, bufferPos: number) => boolean);
    private peek;
    next(): this;
    nextOverlapping(): this;
    private match;
    [Symbol.iterator]: () => Iterator<{
        from: number;
        to: number;
    }>;
}
